/**
 * XActRelationshipExternalReference2.java
 *
 * File generated from the medication2::XActRelationshipExternalReference2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipExternalReference2.
 *
 * 
 */

@XmlType(name = "XActRelationshipExternalReference")
@XmlEnum
@XmlRootElement(name = "XActRelationshipExternalReference2")
public enum XActRelationshipExternalReference2 {
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("ELNK")
	ELNK("ELNK"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipExternalReference2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipExternalReference2 fromValue(String v) {
        for (XActRelationshipExternalReference2 c: XActRelationshipExternalReference2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
